import { PublicKey } from "@solana/web3.js";
import { IPricingCurve, ITokenBonding } from "@strata-foundation/spl-token-bonding";
import React from "react";
export interface ISwapFormValues {
    topAmount: number;
    bottomAmount: number;
    slippage: number;
}
export interface ISwapFormProps {
    action: "buy" | "sell";
    isSubmitting: boolean;
    onConnectWallet: () => void;
    onFlipTokens: (tokenBonding: PublicKey, action: "buy" | "sell") => void;
    onBuyBase: (tokenBonding: PublicKey) => void;
    onSubmit: (values: ISwapFormValues) => Promise<void>;
    tokenBonding: ITokenBonding;
    curve: IPricingCurve;
    base: {
        name: string;
        ticker: string;
        icon: React.ReactNode;
        publicKey: PublicKey;
    };
    target: {
        name: string;
        ticker: string;
        icon: React.ReactNode;
        publicKey: PublicKey;
    };
    ownedBase: number;
    spendCap: number;
    feeAmount?: number;
}
export declare const SwapForm: ({ action, isSubmitting, onConnectWallet, onFlipTokens, onBuyBase, onSubmit, tokenBonding, curve, base, target, ownedBase, spendCap, feeAmount, }: ISwapFormProps) => JSX.Element;
//# sourceMappingURL=SwapForm.d.ts.map